
B0(t) = (-t*t*t + 3*t*t - 3*t + 1)/6
B1(t) = (3*t*t*t - 6*t*t + 4)/6
B2(t) = (-3*t*t*t + 3*t*t + 3*t + 1)/6
B3(t) = t*t*t/6

x3(t) = B0(t) + 2*B1(t) + 4*B2(t) + 6*B3(t)
y3(t) = B0(t) + 6*B1(t) + 2*B2(t) + 6*B3(t)

x4(t) = 2*B0(t) + 4*B1(t) + 6*B2(t) + 7*B3(t)
y4(t) = 6*B0(t) + 2*B1(t) + 6*B2(t) + 2*B3(t)

x5(t) = 4*B0(t) + 6*B1(t) + 7*B2(t) + 8*B3(t)
y5(t) = 2*B0(t) + 6*B1(t) + 2*B2(t) + 5*B3(t)

set xrange [0:9]
set yrange [0:8]
set size ratio -1
set multiplot
plot 'p' w p ps 3

set parametric
set trange [0:1]
plot x3(t), y3(t), x4(t), y4(t), x5(t), y5(t)
set nomultiplot
pause -1
